--- tmux-2.3/compat.h.orig	Wed May 22 17:45:25 2019
+++ tmux-2.3/compat.h	Wed May 22 17:45:33 2019
@@ -39,7 +39,7 @@
 #define ACCESSPERMS (S_IRWXU|S_IRWXG|S_IRWXO)
 #endif
 
-#if !defined(FIONREAD) && defined(__sun)
+#if !defined(FIONREAD) && (defined(__sun) || defined(__unleashed__))
 #include <sys/filio.h>
 #endif
 
